#! /bin/sh
# setup.sh -- Configuration news ALPHANET pour Linux Slackware 3.0
# Paul-Jean Cagnard <cagnard@alphanet.ch>
# Modifications MSC96 Marc SCHAEFER <schaefer@alphanet.ch>
# Cration: 07/05/96
# Modification: 09/07/96
# V1.1 
# DISCLAIMER
#    No warranty, either expressed or implied
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized
#    for ALPHANET NF members.
# BUGS
#    Sensitivity to / in variables because of sed.
# TODO
#    - cron update
#    - rc.local/rc.news
#    - grnews

cd /usr/lib/news

case `whoami` in
   root) ;;
   *) echo "Lancez ce programme sous root"
      exit;;
esac

# MSC96 NOTE: ca devrait etre dissociable de INN.

if [ ! -d bin ]; then
   echo "ERREUR: installez d'abord CNEWS."
fi

echo "Configuration news ALPHANET 1.0 PJC96"
echo ""
echo -n "Avez-vous lu la FAQ LINUX ALPHANET [o/N] ?: "
read Answer
case $Answer in
   o*|O*) ;;
   *)     echo ""
          echo "Et bien, faites-le."
          exit;;
esac
unset Answer

if [ -f .cnews_installed ]; then
   echo ""
   echo "Configuration dj effectue."
   echo -n "Recommencer la configuration [o/N] ?: "
   read Answer
   case $Answer in
      o*|O*) mv ORIG/*.orig .
             rmdir ORIG
             rm .cnews_installed batchparms mailname mailpaths organization sys whoami
      *)  echo ""
          echo "Opration annule."
          exit;;
   esac
   unset Answer
fi


clear

while :
do
   echo -n "Nom de machine UUCP: "
   read ALPHANET_CONFIG_NODENAME
   case $ALPHANET_CONFIG_NODENAME in
      */*|*\.*|*,*|*:*|*!*) echo ""
                            echo "ERREUR: Mauvais caractre.";;
      *) break;;
   esac                     
done

ALPHANET_CONFIG_HOST="${ALPHANET_CONFIG_NODENAME}.alphanet.ch"

echo ""
echo "FQDN news == $ALPHANET_CONFIG_HOST"
echo ""

echo "Dcrivez votre organisation en une ligne. Si vous n'avez"
echo "pas d'imagination, tapez RETURN"
read ALPHANET_CONFIG_ORGANIZATION

if [ "$ALPHANET_CONFIG_ORGANIZATION" = "" ]; then
   ALPHANET_CONFIG_ORGANIZATION="ALPHANET NF --- private CNEWS site"
fi

clear

echo "FQDN:                      $ALPHANET_CONFIG_HOST"
echo "Organisation:              $ALPHANET_CONFIG_ORGANIZATION"
echo ""
echo -n "Confirmation [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo ""
          echo "Relancez $0"
          exit;;
esac
unset Answer

echo ""
echo -n "Je procde  la configuration ..."

sed "s/ALPHANET_CONFIG_HOST/$ALPHANET_CONFIG_HOST/" < mailname.orig > mailname
sed "s/ALPHANET_CONFIG_NODENAME/$ALPHANET_CONFIG_NODENAME/" < whoami.orig > whoami
sed "s/ALPHANET_CONFIG_ORGANIZATION/$ALPHANET_CONFIG_ORGANIZATION/" < organization.orig > organization

cat > batchparms batchparms.orig
cat > mailpaths mailpaths.orig
cat > sys sys.orig

mkdir ORIG
mv *.orig ORIG
chown news batchparms mailname mailpaths organization sys whoami
chgrp news batchparms mailname mailpaths organization sys whoami
chmod 444 batchparms mailname mailpaths organization sys whoami

touch .cnews_installed

echo " ok"
echo ""
echo "Vous pouvez rcuprer des News par UUCP."


